# json.shixun_list @shixuns do |shixun|
#   json.shixun_identifier shixun.identifier
#   json.name shixun.name
#   json.creator shixun.user&.full_name
#   json.creator_login shixun.user&.login
#   json.school shixun.user&.school_name
#   json.myshixuns_count shixun.myshixuns_count
#   json.level level_to_s(shixun.trainee)
#   json.challenge_tags shixun.challenge_tags_name
# end

json.shixun_list @shixuns do |shixun|
  json.shixun_id shixun.id
  json.identifier shixun.identifier
  json.shixun_name shixun.name
  json.myshixuns_count shixun.myshixuns_count
  json.school shixun.user&.school_name
  json.creator shixun.user&.full_name
  json.level level_to_s(shixun.trainee)
end

json.tags @tags do |tag|
  json.tag_id tag.id
  json.tag_name tag.name
end

json.shixuns_count @total_count
json.search_tags @search_tags

json.partial! 'homework_commons/second_category', locals: {main_catrgory: @main_catrgory, homework_category: @homework_category}