json.tags @tags do |tag|
  json.tag_id tag.id
  json.tag_name tag.name
end

json.subject_list @subjects do |subject|
  json.subject_id subject.id
  json.subject_name subject.name
  json.challenge_tags subject.shixun_tags
  json.shixun_count subject.shixuns.unhidden.size
  json.myshixun_count subject.shixuns.pluck(:myshixuns_count).sum
  json.creator subject.user&.full_name
  json.creator_login subject.user&.login
  json.school subject.user&.school_name
end

json.subjects_count @total_count