json.partial! "commons/success"
json.cache! ['v1', @message, @attachment_size, @current_user.course_identity(@message.board.course)] do
  json.data do
    json.partial! "messages/action_ids", message: @message
    json.partial! "messages/message", message: @message
    json.partial! "messages/content", content: @message.message_detail.try(:content)
    json.author do
      json.partial! "users/user_simple", user: @message.author
    end
    json.attachments do
      json.array! @message.attachments, partial: 'attachments/attachment_simple', as: :attachment
    end
  end
end
