json.(@subject, :id, :name, :description, :learning_notes, :stages_count, :stage_shixuns_count)

json.challenge_choose_count @subject.subject_challenge_choose_count
json.challenges_count @subject.subject_challenge_count
json.subject_score @subject.all_score
json.member_count @subject.member_count

json.allow_delete @is_creator && (@subject.status != 2 || @user.admin?)
json.publish_status publish_status(@subject, @is_creator, @user, @shixuns)
json.allow_statistics @user.manager_of_subject?(@subject)
json.allow_send @user.logged?
json.allow_visit @user.manager_of_subject?(@subject) || @user.admin? || @subject.status > 1
json.allow_add_member @user.manager_of_subject?(@subject)

json.members @members do |member|
  json.partial! 'subject_member', locals: { user: member.user }
end

# 技能标签
json.tags @tags do |tag|
  unless tag.blank?
    json.tag_name tag
    json.status @user_tags.include?(tag)
  end
end

# 我的进展
json.progress do
  json.my_score @subject.my_subject_score
  json.all_score @subject.all_score
  json.learned @subject.my_subject_progress
  json.time  @subject.my_consume_time
end