import React, { Component } from 'react';
import { Redirect } from 'react-router';

import PropTypes from 'prop-types';

import { CircularProgress } from 'material-ui/Progress';

import './TPMShixunDiscuss.css'

import Challenges from './shixunchild/Challenges/Challenges'

import TPMRightSection from './component/TPMRightSection'

import TPMNav from './component/TPMNav'

class TPMChallenge extends Component {
    constructor(props) {
      super(props)

    }

    render() {
      const { loadingContent, shixun, user, match
       } = this.props;
      return (
        <React.Fragment>
          <div className="educontent clearfix mt30 mb80">

            <div className="with65 fl edu-back-white" >
                <TPMNav
                    match={match}
                    user={user}
                    shixun={shixun}
                    {...this.props}
                ></TPMNav>
              <Challenges
               {...this.props}
              />
               
            </div>

            <div className="with35 fr pl20">
                  <TPMRightSection
                      {...this.props}
                  />
            </div>
          </div>
        </React.Fragment>

      );
    }
}

export default TPMChallenge;
